xgboost

Public Member Functions | List of all members
xgboost::JsonWriter Class Reference

`#include <json_io.h>`

Collaboration diagram for xgboost::JsonWriter:

## Public Member Functions
| JsonWriter (std::ostream *stream, bool pretty)
virtual | ~JsonWriter ()=default
void | NewLine ()
void | BeginIndent ()
void | EndIndent ()
void | Write (std::string str)
void | Write (StringView str)
void | Save (Json json)
virtual void | Visit (JsonArray const *arr)
virtual void | Visit (JsonObject const *obj)
virtual void | Visit (JsonNumber const *num)
virtual void | Visit (JsonInteger const *num)
virtual void | Visit (JsonNull const *null)
virtual void | Visit (JsonString const *str)
virtual void | Visit (JsonBoolean const *boolean)

## Constructor & Destructor Documentation

## ◆ JsonWriter()

xgboost::JsonWriter::JsonWriter | ( | std::ostream * | stream,
|  | bool | pretty
| ) |  |
| inline

## ◆ ~JsonWriter()

virtual xgboost::JsonWriter::~JsonWriter | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ BeginIndent()

void xgboost::JsonWriter::BeginIndent | ( |  | ) |
| inline

## ◆ EndIndent()

void xgboost::JsonWriter::EndIndent | ( |  | ) |
| inline

## ◆ NewLine()

void xgboost::JsonWriter::NewLine | ( |  | ) |
| inline

## ◆ Save()

void xgboost::JsonWriter::Save | ( | Json | json | ) |

## ◆ Visit() [1/7]

virtual void xgboost::JsonWriter::Visit | ( | JsonArray const * | arr | ) |
| virtual

## ◆ Visit() [2/7]

virtual void xgboost::JsonWriter::Visit | ( | JsonObject const * | obj | ) |
| virtual

## ◆ Visit() [3/7]

virtual void xgboost::JsonWriter::Visit | ( | JsonNumber const * | num | ) |
| virtual

## ◆ Visit() [4/7]

virtual void xgboost::JsonWriter::Visit | ( | JsonInteger const * | num | ) |
| virtual

## ◆ Visit() [5/7]

virtual void xgboost::JsonWriter::Visit | ( | JsonNull const * | null | ) |
| virtual

## ◆ Visit() [6/7]

virtual void xgboost::JsonWriter::Visit | ( | JsonString const * | str | ) |
| virtual

## ◆ Visit() [7/7]

virtual void xgboost::JsonWriter::Visit | ( | JsonBoolean const * | boolean | ) |
| virtual

## ◆ Write() [1/2]

void xgboost::JsonWriter::Write | ( | std::string | str | ) |
| inline

## ◆ Write() [2/2]

void xgboost::JsonWriter::Write | ( | StringView | str | ) |
| inline

The documentation for this class was generated from the following file:

- /workspace/include/xgboost/json_io.h